Subject: Ticket Assigned - Collect order not found at the store
From: Splash <[email-masked]>
To: [email-masked]
Date: Sun, 30 Aug 2020 11:56:28 +0000

Hi Shivani Rani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Collect order not found at the store Dear sir/ madame

I've received several email and SMS that
My collect order is ready for collection since 29th AUGUST 2020.
And I went to both splash store and centrepoint store to collect but both
stores didn't find the order.
I tried calling your help line but no answer

Here's a copy of the SMS received
 "Iconic Textured Top with High ...   of your order 8299991753 are ready
for pick up at Splash  The Avenues mall, 5th ring road. Please bring your
govt. issued ID & this SMS. Please call on arrival."

I need to an answer of how to find my order ASAP.

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1437591